Bug 1311742 - [RFE] taxonomy API for "fix mismatches"
[RFE] taxonomy API for "fix mismatches"
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-02-24 16:00 EST by Tom McKay
Modified: 2018-03-16 17:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13445 None None None 2016-04-22 11:04 EDT

  None (edit)
Description Tom McKay 2016-02-24 16:00:26 EST
Hosts that are created w/ puppet agent -t can be placed into a default org. Their env, though, is 'production'. If production is not in that org then the UI will show red to indicate the mismatches (production missing from org). Clicking the "fix mismatches" button fixes things.

Unfortunately, when in a mismatch state other commands that interact with the org will fail and generate error messages. Having an API to fix mismatches would allow tools to proceed in this situation.

My vote is that this is a bug rather than an rfe since the api is unusable until the UI is visited to fix mismatches.
Comment 1 Tom McKay 2016-02-24 16:00:28 EST
Created from redmine issue http://projects.theforeman.org/issues/13445
Comment 3 Bryan Kearney 2016-02-24 18:12:57 EST
Upstream bug component is Organizations and Locations
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:35:14 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.